--$Name: Dark$
--$Author: Aiwasan(BWR_N6)$
--$Info: Игра на ЗОК 2019 ||| Об используемых файлах подробнее в прилагаемом файле files_info.txt$

require "mp-ru"
require "fmt"
require "snd"

global {
		critic = 0;
		prolog = 0;
		karkas = 0;
		radio_state = 0;
		fireP = 0;
		ostorozno = 0;
		tayna = 0;
}

game.player = player {
	nam = 'Вы';
	room = 'menu'; 
	description = function(s)
		if critic == 1 then
			p "Ваш комбинезон в царапинах. Да и Вы собственно не в идеальном состоянии.";
		else
			p "Вы вроде выглядите как обычно.";
end;
end;
}

game.dsc = [[]]
game.pic = 'gfx/blackin.png';

room {
	-"Меню";
	snd.music 'mus/bg.mod';
	gfx = 'gfx/blackin.png';
	nam = "menu";
	title = ' ';
	dsc = 'События происходят в далёком будущем. Там, где покоряются и исследуются планеты.^Вот и эта история начинается на одной пока ещё безымянной ледяной планете, на которой то и дело простираются снежные и ледяные долины и большие моря. Где главный герой оказался без пямяти и неизвестно как...^^Чтобы начать, идите на север';
	n_to = 'ldina';
	cant_go = 'Здесь некуда идти. Разве что на север.';
}

room {
	-"Льдина";
	nam = "ldina";
	title = "Льдина";
	dsc = 'Вы находитесь на дрейфующей льдине - это единственное, что вы помните. Беглого осмотра достаточно, чтобы понять, что льдина примерно шестьсот на шестьсот метров. Хотя может что-то и скрывают торчащие из под глубин льдины глыбы льда и кучи снега. На западе Вы заметили серый дымок, исходящий из высокой металлической трубы.';
	obj = {'dim'};
	cant_go = 'Прямо идти - вода, направо - тоже вода, а за мной - глыба льда.';
	w_to = 'lager';
}

obj {
		-"дым|дымок";
		nam = "dim";
		description = function(s)
			if prolog == 1 then
				p 'Я всё ближе к нему. Похоже, что в палатке кто-то есть.';
			else
				p 'Этот дым где-то в Вашем сознании даёт сигнал к  тому, что это - возможность узнать, кто Вы и что Вы тут делаете.';
		end;
		end;
}:attr 'scenery'
obj {
	-"палатки/ср, мн|домики|дома|лагерь";
	nam = 'palatki';
	description = 'Все палатки набиты снегом. Вы попробовали поискать чего нибудь в одной из палаток, но ничего не обнаружили. Только одна палатка подаёт признаки чьего либо проживания.';
}:attr 'scenery'
obj {
	-"каркас|тлеющая палатка| печь";
	nam = 'karkas';
	description = function(s)
		if karkas == 1 then
			p 'Вся палатка сгорела до тла. Точнее ещё тлеет. Заметна одинокая печь, уже конечно ни на что не годная.';
		else
			p ' ';
	end;
	end;
}:attr 'scenery'
obj {
	-"жилая палатка| палатка с дымом| палатка| домик";
	nam = 'palatka_live';
	description = function(s)
		if fireP == 0 then
			p 'В неё можно войти. На двери сигнал выдаёт, что доступ открыт.';
		else
			p 'От дверей осталась только рама и внешняя обшивка...Входить теперь некуда.';
	end;
	end;
	before_Enter = function(s)
		if fireP == 1 then
			p 'Там же всё горит! Точнее почти мгновенно сгорело...';
		else
		walk 'inpalatka'
	end;
	end;
}:attr 'scenery'
obj {
	-"костёр|костревище|огонь";
	nam = 'fire';
	description = 'Едва заметны тлеющие угольки. Так как снега присыпать на костёр погода успела.';
}:attr 'scenery'

function init()
end

room {
	-"Палаточный лагерь| лагерь|";
	nam = 'lager';
	title = 'Лагерь';
	dsc = function(s)
		if not visited('inpalatka') then
			p 'В один круг, с костром по середине, поставлены специально укреплённые палатки. Их всего шесть. Из трубы на одной палатке идёт с характерным запахом серый дым.';
		else
			p 'Тут пусто... В один круг, с костром по середине, поставлены специально укреплённые палатки. Одна из шести палаток медленно тлеет. Видно только металлический каркас и печь.';
	end;
	end;
	onenter = function(s)
		if not visited('lager') then
			prolog = prolog + 1;
			p 'Вы пришли на территорию лагеря. Никаких следов на снегу Вы не заметили...';
		elseif visited('dumania') then
			walk 'lednik2'
		else
			snd.music 'mus/bg.mod';
			p 'Вы стоите посреди палаточного лагеря. Около костра.';
	end;
	end;
	cant_go = function(s)
		if not visited('inpalatka') then
			p 'Мне сначала нужно посмотреть палатку.';
		else
			p 'Надо бы подумать, что делать...';
	end;
	end;
	w_to = function(s)
		if visited('dumania') then
			walk 'lednik2';
		else
			p 'Надо бы подумать или палатку посмотреть.';
	end;
	end;
	before_Think = function(s)
		if fireP == 1 then
			p 'Что же делать?!';
				walk 'dumania';
		elseif visited('dumania') then
			walk 'lednik2';
		else
			p 'Чего думать то? Палатку проверить надо бы.';
	end;
	end;
	obj = {'dim', 'palatki', 'karkas', 'palatka_live', 'fire'}
}

room {
	-"палатка| домик";
	nam = 'inpalatka';
	title = 'В палатке';
	dsc = function(s)
	if fireP == 0 then
		p 'Вы стоите в палатке. Тут очень тепло. Печка кочегарит во всю. Прямо напротив двери, у стены, находится стол.^Справа от входа находится шкафчик,  рядом с ним на полу лежит радио передатчик.';
	else
		p 'Всё покрытие палатки горит! Надо выбираться отсюда!';
	end;
	end;
	obj = {'pech', 'stol', 'shkaf', 'radio'};
	out_to = function(s)
		if fireP == 0 then
			p 'Надо ещё попробовать включить радио!';
		else
		walk 'lager'
	end;
	end;
}

obj {
	-"печь|печка";
	nam = 'pech';
	description = function(s)
		if fireP == 0 then
			p 'Вы прикоснулись к печи - горячая. Чуть руку не ошпарили.';
		else
			p 'Некогда рассматривать предметы окружения!';
	end;
	end;
}:attr 'scenery'
obj {
	-"стол|столешница";
	nam = 'stol';
	description = function(s)
		if fireP == 0 then
			p 'Стол как стол. Обычный среднестатистический стол. На столе ничего нет.';
		else
				p 'Некогда рассматривать предметы окружения!';
		end;
		end;
}:attr 'scenery'
obj {
	-"шкаф|шкафчик";
	nam = 'shkaf';
	description = function(s)
		if fireP == 0 then
			p('Шкаф больше напоминает металлическую коробку, только с ручками.' ,mp:content(s),'');
		else
			p 'Некогда рассматривать предметы окружения!';
	end;
	end;
}:attr 'scenery,container,close'
obj {
	-"радио|радиоприёмник|передатчик";
	nam = 'radio';
	description = function(s)
		if fireP == 0 then
			p 'В древности это бы назвали ноутбуком. Через него можно просмотреть журнал, который по логике вещей должен был вести тот, кто жил в этой палатке.';
		else
			p 'Некогда рассматривать предметы окружения!';
	end;
	end;
	before_SwitchOn = function(s)
		if radio_state == 0 then
		radio_state = radio_state +1;
			p 'Вы включили радио и...';
			walk 'sleep';
		elseif visited('sleep') then
			p 'Некогда рассматривать предметы окружения. Тем более радио Вы не унесёте!';
	end;
	end;
}:attr 'scenery'

cutscene {
	-"сон";
	gfx = 'gfx/car.png';
	nam = 'sleep';
	title = 'Сон';
	onenter = function(s)
		snd.music 'mus/beat_it.ogg';
		p 'Вы вдруг почувствовали, что Вас сильно тянет в сон. До двери дойти Вы не успели... Глаза закрылись раньше.';
		fireP = 1;
	end;
	text = {
		"Вы очутились за рулём древней земной машины. Машина едет в тоннеле, но миг! Глаза ненадолго перестали видеть, но спустя тоже мгновение Вашим глазам предстал прекрасный вид. Зелёные долины простираются до горизонта. Играет какая-то знакомая песня. Хотя Вы никогда такую не слушали...";
		"Вы посмотрели в зеркало заднего вида и увидел уходящие вдаль заснеженные горы.^ Чуть ниже трассы видны стада оленей, питающихся мхом и прочей мелкой растительностью.^ Одно окно открыто. Свежий ветер бъёт Вам в лицо. Даже сложно представить, что некоторое время спустя Вы находились на леднике.";
		"Может это реальность, а ледник - всего лишь просто игра разума?^^Сильно отвлекшись видами и дорогой, Вы не заметили, что со склона горы прямо на Вас летят гигантские булыжники!...";

};
	next_to = 'inpalatka';
}

cutscene {
	-"мысли";
	nam = 'dumania';
	title = 'Вы думаете и рассуждаете...';
	text = {
		"Вы присели около тлеевшей палатки и стали рассуждать о произошедшем...";
		"Что же это происходит?";
		"Неужели Вы так и не сможете узнать что Вы вообще здесь делаете? И вообще, кто Вы?";
		"На это можно было бы потратить гораздо больше времени, но остатки палатки скоро остыли, а уже вечереет. Обычно в таких местах ночь очень холодная...";
		"Вы на несколько минут вспомнили свой сон. Зелёные гористые долины... Олени и заснежные горы.";
		"Ну что ж. Пора что-то предпринимать. Надо походить по леднику, может и найдёте чего нибудь...";
		"И да, лучше идти на запад...";
};
	next_go = 'lednik2';
};

obj {
	-"снег|земля";
	nam = 'snow';
	description = 'Снег как снег. Из такого снега можно лепить очень хорошие снежки. Жаль, но вы конечно же не сильно увлекались этой игрой.';
	before_Take = 'Ни в коем случае! Снег же холодный, а лёд очень крепкий. Да и перчаток у Вас нет.';
}:attr 'scenery'
obj {
	-"звезда|Метастед";
	nam = 'solar';
	description = 'Metastead - очень яркая на вид звезда. Но откуда Вы это знаете? Похоже, что память к Вам начинает приходить...';
}:attr 'scenery'

room {
	-"Около лагеря";
	nam = 'lednik2';
	title = 'Около лагеря';
	e_to = function(s) -- Восток
		p 'На восток Вы решили не идти. Там лагерь, а там, где только можно было пройтись, вы прошлись.';
	end;
	onenter = function(s)
		if ostorozno == 1 then
			p 'Как только Вы пришли сюда, то заметили, что где-то у лагеря что-то мелькнуло...Нужно быть осторожнее!';
		else
			p 'Вы находитесь около лагеря.';
	end;
	end;
	dsc = 'Вы осмотрелись и сделали вывод, что можно идти на север, на запад, и на юг. На востоке виден лагерь, с еле заметным дымком - палатка догорает.^Под ногами хрустит белоснежный снег. Заметно, как звезда Metastead заходит за горизонт, озаряя горизонт розоватым оттенком.';
	w_to = 'platz'; -- Запад
	n_to = 'bereg'; -- Север
	s_to = 'peshera'; -- Юг
	cant_go = 'Вы можете идти на запад, север и юг. На востоке лагерь, а Вам туда не надо.';
	obj = {'snow', 'solar'};
};

room {
	-"площадка";
	nam = 'platz';
	title = 'Платц';
	dsc = 'Далеко на востоке виден лагерь. На западе Вы заметили шаттл! На севере находится правый верхний берег ледника.^ Что странно, здесь покрытие ледника идеально ровное. Под толстой кромкой льда Вы обнаружили металлическую платформу. Похоже, это была взлётно-посадочная полоса.';
	e_to = 'lednik2'; -- B
	w_to = 'crushship'; -- 3 
	s_to = 'okolopesheri'; --H-0
	n_to = 'shipn'; -- C
	obj = {'snow', 'solar'};
}

obj {
	-"вода|волна";
	nam = 'water';
	description = 'Рано или поздно ледник разрушится под воздействием этих волн. На помощь волнам придёт яркий свет и тепло звезды Metastead.';
}:attr 'scenery';

room {
	-"берег";
	nam = 'bereg';
	title = 'Берег';
	dsc = 'На западе находится самая крайняя правая точка ледника.^Волны сильно бъют о высокий берег ледника иногда откалывая небольшие куски льда.';
	s_to = 'lednik2';
	w_to = 'shipn';
	obj = {'snow', 'solar', 'water'};
}

room {
	-"Около упавшего шаттла|берег";
	nam = 'shipn';
	title = 'Около упавшего шаттла';
	dsc = 'Вы заметили, что на юге находится шаттл. На севере сильные волны бъют о берег ледника...';
	e_to = 'bereg';
	s_to = 'crushship';
	obj = {'snow', 'solar', 'water'};
}

obj {
	-"шаттл|корабль";
	nam = 'ship';
	description = 'Шаттл разбился, но в результате чего? Ладно это, вопрос ещё состоит в том, почему экипаж его покинул. Чтобы это узнать, надо проверить шаттл.';
	before_Enter = function(s)
		walk 'inship'
	end;
}:attr 'scenery'

room {
	-"упавший шаттл|шаттл|обломки";
	nam = 'crushship';
	title = 'Разбившийся шаттл';
	onenter = 'Вы оказались около разбившегося шаттла! Похоже, что здесь случилась авария, но зачем тогда было членам экипажа ставить палатки так далеко от шаттла?';
	dsc = 'Вы стоите около разбившегося шаттла. Сам шаттл имеет повреждённый нос, а так, он вполне может взлететь. На юге находится самая крайняя левая точка ледника. На западе виден платц.^Кажется, дверь шаттла исправлена и в него можно войти.';
	s_to = 'left_tchk';
	e_to = 'platz';
	obj = {'snow', 'solar', 'ship'};
}

room {
	-"около пещеры|пещера";
	nam = 'okolopesheri';
	title = 'Окoло пещеры';
	dsc = 'Вы находитесь около пещеры. На севере находится платц, а на западе - крайняя левая точка ледника. В саму пещеру можно попасть, обогнув глыбы льда через платц.';
	n_to = 'platz';
	w_to = 'left_tchk';
	obj = {'snow', 'solar'};
}

room {
	-"крайняя точка|левая точка ледника";
	nam = 'left_tchk';
	title = 'Левая крайняя точка ледника';
	dsc = 'Вы находитесь на самой крайней точке ледника. На севере виден шаттл. На востоке находятся глыбы льда, через которые обогнув через платц, можно попасть в пещеры.';
	n_to = 'crushship';
	e_to = 'okolopesheri';
	obj = {'snow', 'solar', 'water'};
}

obj {
	-"стена|стена/жр,мн";
	nam = 'wall';
	description = 'Стены каменные! А это значит, что ледник, прежде чем отколотся от материка, очень долго там находился и кем-то или чем-то использовался. На это указывают практически идеально ровный пол и углы стен.';
}:attr 'scenery'

obj {
	-"надпись|послание|текст";
	nam = 'poslanie';
	description = function(s)
		p 'Вы заметили на одной из стен надпись со следующим текстом: ^^К шаттлу!^^Что бы это могло значить? Но ничего, теперь Вы осторожнее.';
		ostorozno = 1;
	end;
}:attr 'scenery'

room {
	-"пещера|тоннель";
	nam = 'peshera';
	title = 'Пещера';
	dsc = 'Вы находитесь в пещере. Странно, но здесь почти нет снега. Да не то что снега, льда нет. Сама пещера небольшая. Но на стенах вы что-то обнаружили.';
	n_to = 'lednik2';
	obj = {'wall', 'poslanie'};
}

obj {
	-"лампы";
	nam = 'lamp';
	description = 'Странно что они ещё работают. Хотя неизвестно, сколько времени шаттл здесь находится.';
}:attr 'scenery'

obj {
	-"лифт";
	nam = 'lift';
	description = 'Вы проверили двери лифта, но они оказались закрыты. Замок у дверей сломан.';
}:attr 'scenery'

obj {
	-"столовая";
	nam = 'stolova';
	description = 'Продуктов нет, совсем пусто...Ни коробок, ни посуды.';
}:attr 'scenery'

obj {
	-"мостик";
	nam = 'mostik';
	description = 'Похоже, что экипаж шаттла здесь проводил большое количество времени, но непонятно, почему он ушёл отсюда.';
}:attr 'scenery'

obj {
	-"панель";
	nam = 'panel';
	description = 'Похоже что через эту панель осуществляется управление кораблём. Ваше внимание привлекла большая кнопка с надписью "ВКЛ.".';
}:attr 'scenery'

obj {
	-"кнопка";
	nam = 'button';
	description = 'С надписью "ВКЛ.". Вам кажется, что она "включает" корабль.';
	before_Push = function(s)
		if ostorozno == 1 then
			walk 'epilog';
		else
			walk 'epilog2';
	end;
	end;
}:attr 'scenery'

obj {
	-"инфокнопка/жр, ед";
	nam = 'infobutton';
	description = 'С её помощью можно узнать, что произошло с экипажем.';
	before_Push = function(s)
		p 'Вы нажали на кнопку и увидели следующий текст: ^^Запись 1^[Помехи]. Эта планета единственная поблизости, на которой возможно приземление. [Помехи] смог заварить двери лифта, чтобы эта [помехи] не добралась до нас. Сядем куда нибудь, а дальше как пойдёт.^Запись 2 ^[Помехи] упал замертво, когда ОНО забралось в его палатку и вспороло ему тело. Сейчас мы пытаемся где нибудь спрятаться и спасает [помехи] только сильный снег, заметающий наши следы. Ледник сам по себе небольшой. Надо искать выход!^Запись 3^ [Помехи]. Мы отбили одну глыбу от ледника и взабрались на неё [помехи]. Уплывём, с собой я взял второй передатчик. [Пауза]... [Помехи] заметил, что к нам кто-то бежит... Это было даже страшнее, чем ОНО... Потому что это был [Помехи]! Он безображен! Мы оттолкнули глыбу, на которой находились, и начали гребсти двумя железками. Безобразный [помехи] прыгает в воду... Спустя минуту он резко выныривает из воды и хватает [помехи] за ногу. Он сопротивляется, но [помехи] тянет его сильнее. Сам [помехи] приказал мне спрыгнуть с глыбы и отправиться к шаттлу.^Запись 4^ Я скинул эту запись в панель шаттла. Вдруг кто нибудь всё таки найдет нас. Мы так и не нашли потерявшегося [помехи]. Наверное его тоже убило ОНО. До связи, [помехи]';
		tayna = 1;
	end;
}:attr 'scenery'

room {
	-"шаттл|корабль";
	nam = 'inship';
	title = 'В корабле';
	onenter = 'Как только Вы вошли на корабль, то услышали щелчок замка на дверях шаттла.';
	dsc = 'Пройдя через шлюз Вы оказались в весьма просторном зале, где в принципе и находился мостик, столовая, лифт к ядру. На столе управления находится панель.^ Всё чисто, лампы горят исправно. Тут даже батареи греют.';
	obj = {'lamp', 'lift', 'stolova', 'mostik', 'panel', 'button', 'infobutton'};
}

cutscene {
	nam = 'epilog';
	title = 'Епилог';
	text = {
		"Вы нажали на кнопку. Шаттл загудел, иногда издавая разные писки, означающие активацию систем управления.";
		"Спустя пару минут шаттл перемещался по платцу, готовясь к взлёту.";
		"Вдруг, на 'лобовое' стекло запрыгнуло Нечто! Глаза ярко светились алым цветом, а изо рта выплёскивалась какая-то жижа, которая окисляла покрытие носа шаттла.";
		"Но Вы настроены на победу! И поэтому потянули руль управления на себя и подали газа. Шаттл немного стал поднимать высоту, а Нечто сползать с носа корабля...";
		"Спустя некоторое время Вы уже были на орбите холодной безымянной планеты. А дальнейшие события произойдут в совсем другой истории...";
};
	next_to = function(s)
		walk 'end1';
	end;
};

cutscene {
	nam = 'epilog2';
	title = 'Епилог';
	text = {
		"Вы нажали на кнопку. Шаттл загудел, иногда издавая разные писки, означающие активацию систем управления.";
		"Спустя пару минут шаттл перемещался по платцу, готовясь к взлёту.";
		"Вдруг, на 'лобовое' стекло запрыгнуло Нечто! Глаза ярко светились алым цветом, а изо рта выплёскивалась какая-то жижа, которая окисляла покрытие носа шаттла.";
		"Вы ничего не смогли сделать. Сразу почувстовав безысходность перед Этим, Вы замерли. Мысли путаются, а Нечто тем временем выбивает стекло и добирается до Вас!^Вот причина исчезновения экипажа, но уже никто об ней не узнает...";
};
	next_to = function(s)
		walk 'end2';
	end;
};

room {
	nam = 'end1';
	title = 'HappyEnd!';
	noparser = true;
	dsc = function(s)
	if tayna == 1 then
		p 'Вот и конец истории. Вы довели историю до хорошей концовки, a также узнали, как исчез экипаж шаттла.';
	else
		p 'Вот и конец истории. Вы довели историю до хорошей концовки!';
	end;
	end;
}

room {
	nam = 'end2';
	title = 'END';
	noparser = true;
	dsc = function(s)
		if tayna == 1 then
			p 'Вот и конец истории. Вы довели историю до плохой концовки, но узнали как исчез экипаж корабля. Но узнал это только читатель, а история в рассказе умалчивает...';
		else
			p 'Вот и конец истории. Вы довели историю до плохой концовки.';
	end;
	end;
}